Bug 1204611

Summary: liblz4 missing valid debuginfo
Product: [Fedora] Fedora EPEL Reporter: Robin Lee <robinlee.sysu>
Component: lz4Assignee: pjp <pj.pandit>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: ignatenko, pj.pandit
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: lz4-r129-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-21 18:42:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Robin Lee 2015-03-23 07:17:52 UTC
Description of problem:
When I debug a program using liblz4, gdb said:

warning: "/usr/lib/debug/usr/lib64/liblz4.so.1.5.0.debug": separate debug info file has no debug info

This can be simply fixed by adding a line of "%configure" to the %install section in the specfile:

%install
%configure
%make_install LIBDIR=%{_libdir} INSTALL="install -p"
....

Version-Release number of selected component (if applicable):
lz4-r127-1.el6.x86_64

How reproducible:
Use gdb to debug any program dynamic-linking liblz4.

Comment 1 Fedora Update System 2015-04-06 10:20:41 UTC
lz4-r128-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lz4-r128-2.fc22

Comment 2 Fedora Update System 2015-04-06 10:20:50 UTC
lz4-r128-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lz4-r128-2.el7

Comment 3 Fedora Update System 2015-04-06 17:40:14 UTC
Package lz4-r128-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lz4-r128-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5652/lz4-r128-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-08 06:32:22 UTC
lz4-r128-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lz4-r128-2.fc21

Comment 5 Fedora Update System 2015-04-08 06:32:35 UTC
lz4-r128-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r128-2.fc20

Comment 6 Fedora Update System 2015-04-08 06:32:43 UTC
lz4-r128-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r128-2.el5

Comment 7 Fedora Update System 2015-04-08 06:32:50 UTC
lz4-r128-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r128-2.el6

Comment 8 Fedora Update System 2015-04-21 18:42:16 UTC
lz4-r128-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-21 19:25:41 UTC
lz4-r128-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-24 22:45:50 UTC
lz4-r128-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-27 10:30:31 UTC
lz4-r129-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lz4-r129-1.el7

Comment 12 Fedora Update System 2015-05-27 10:30:43 UTC
lz4-r129-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lz4-r129-1.fc21

Comment 13 Fedora Update System 2015-05-27 10:30:56 UTC
lz4-r129-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r129-1.fc20

Comment 14 Fedora Update System 2015-05-27 10:32:10 UTC
lz4-r129-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r129-1.el5

Comment 15 Fedora Update System 2015-05-27 10:32:20 UTC
lz4-r129-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r129-1.el6

Comment 16 Fedora Update System 2015-05-27 10:34:36 UTC
lz4-r129-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lz4-r129-1.fc22

Comment 17 Fedora Update System 2015-06-01 16:59:22 UTC
lz4-r129-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-09 15:20:07 UTC
lz4-r129-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-15 13:30:50 UTC
lz4-r129-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-06-18 18:33:02 UTC
lz4-r129-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-06-18 18:33:15 UTC
lz4-r129-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-06-18 18:34:50 UTC
lz4-r129-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.